import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableColumn } from '../AdaptableState/Common/AdaptableColumn';
import { CustomSort } from '../AdaptableState/CustomSortState';
import { TeamSharingImportInfo } from '../AdaptableState/TeamSharingState';
import { AdaptableModuleView, AdaptableObjectView, IModule } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
import { AdaptableObject } from '../AdaptableState/Common/AdaptableObject';
import { LayoutExtendedConfig } from '../types';
export declare class CustomSortModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    getModuleAdaptableObjects(config?: LayoutExtendedConfig): AdaptableObject[];
    getExplicitlyReferencedColumnIds(customSort: CustomSort): string[];
    hasNamedQueryReferences(): boolean;
    createColumnMenuItems(column: AdaptableColumn): import("../Utilities/MenuItem").MenuItemShowPopup<"custom-sort-add" | "custom-sort-edit">[];
    getTeamSharingAction(): TeamSharingImportInfo<CustomSort>;
    toView(customSort: CustomSort): AdaptableObjectView;
    toViewAll(): AdaptableObjectView[];
    getViewProperties(): AdaptableModuleView;
    containsLayoutExtensions(): boolean;
}
